/*
 * ImplementOperation: メインフレーム必須定義メソッドインターフェース
 */

package view;

import java.util.List;
import java.util.Map;

import MainFrame;
import RunProgramInfo;

public interface ImplementOperation extends ui.ImplementOperationBase
{
	boolean showConfirmMessage(String strMessage);

	MainFrame.ViewState getCurrentViewState();
	RunProgramInfo getEditingRunProgramInfo();
	int getSelectedRunInfoIndex();
	String getTextToCopyToClipboard();
	String getCreateScriptFilePath(String strDefaultPath, String strDefaultName);
	Map getAdditionalState();

	void setAdditionalState(Map properties);
	void selectView(MainFrame.ViewState viewState);
	void setRunInfoViewList(List runInfoList);
	void setListSelectedIndex(int nIndex);

	void setEditRunProgramInfo(RunProgramInfo runInfo);

	void reportResult(String strResult, boolean deleteResult);
	void setStatusText(String strText);
	boolean setStatusBarVisible(boolean bVisible);
}
