/*
 * LabelManager: 
 */

package view;
import java.util.Properties;

public final class LabelManager extends ui.LabelManager
{
	//
	// 定数
	//

	public static final String MENU_REGIST	= "Menu_Regist";
	public static final String MENU_REGIST_EDIT	= "Menu_Regist_Edit";
	public static final String MENU_REGIST_DELETE	= "Menu_Regist_Delete";
	public static final String MENU_REGIST_SCRIPT	= "Menu_Regist_Script";
	public static final String MENU_REGIST_EXIT	= "Menu_Regist_Exit";

	public static final String MENU_EDIT	= "Menu_Edit";
	public static final String MENU_EDIT_COPY	= "Menu_Edit_Copy";

	public static final String MENU_VIEW	= "Menu_View";
	public static final String MENU_VIEW_STATUSBAR	= "Menu_View_StatusBar";

	public static final String LABEL_INFO_PROPERTIES	= "Label_Info_Properties";
	public static final String LABEL_INFO_FONT	= "Label_Info_Font";

	public static final String LABEL_STATUS_READY	= "Status_Ready";

	public static final String LABEL_PANE_SELECT	= "Pane_Select";
	public static final String LABEL_PANE_INPUT	= "Pane_Input";
	public static final String LABEL_PANE_RESULT	= "Pane_Result";
	public static final String LABEL_PANE_JRE	= "Pane_Jre";
	public static final String LABEL_PANE_INFO	= "Pane_Info";

	public static final String LABEL_FILE	= "Label_File";
	public static final String LABEL_CP	= "Label_ClassPath";
	public static final String LABEL_ARG	= "Label_Arg";
	public static final String LABEL_NAME	= "Label_Name";
	public static final String LABEL_BTN_EXEC	= "Btn_Exec";

	public static final String LABEL_BTN_UP	= "Btn_Up";
	public static final String LABEL_BTN_DOWN	= "Btn_Down";

	public static final String LABEL_BTN_REFER	= "Btn_Refer";
	public static final String LABEL_BTN_ADD	= "Btn_Add";
	public static final String LABEL_BTN_DELETE	= "Btn_Delete";
	public static final String LABEL_BTN_REGIST	= "Btn_Regist";
	public static final String LABEL_BTN_UPDATE	= "Btn_Update";

	public static final String LABEL_CLASS	= "Label_Class";
	public static final String LABEL_BTN_SHOW	= "Btn_Show";

	//
	// クラスメソッド(公開)
	//

	// メニューラベルのプロパティセットを返す
	public static Properties getMenuLabelProperties()
	{
		return getProperties("/MenuLabel.properties");
	}

	// コンポーネントラベルのプロパティセットを返す
	public static Properties getComponentLabelProperties()
	{
		return getProperties("/ComponentLabel.properties");
	}

	//
	// コンストラクタ
	//
	private LabelManager()
	{
	}
}
